Automatic Safe Update

Descripción

Actualizar tu WordPress es una tarea que requiere de tiempo y no puedes evitar. De no hacerlo, tu sitio tendrá problemas y te arrepentirás. Sabiéndolo, aquí tienes una potente herramienta para ayudarte a mantener tus plugins actualizados.

Selecciona en qué casos quieres que las actualizaciones se realicen de forma automática y cuándo maualmente basándote en el nivel de la actualización y el plugin individual si lo deseas. El equilibrio es entre estabilidad y seguridad.Deja que el plugin decida por sí mismo si lo deseas.

La numeración semántica de versiones didide los números de versión en tres bloques principales: mayor, menor y parche de este modo: mayor.menor.parche. Si todos los autores de plugins trabajasen adecuadamente, cuando solo cambiase el número de parche, habría correcciones de código y seguridad, de un modo compatible, cuando se incrementa el número menor, se agregan nuevas funcionalidades de modo compatible con lo ya existente. Los cambios en la versión mayor son incompatibles y pueden requerir trabajo adicional con tu sitio.

Nunca puedes saber por anticipado cuándo un error en un plugin puede hacer fallar tu sitio WordPress, ni tampoco sabrás por anticipado que estás dejando un agujero de seguridad por el que será atacado si no actualizas.

Capturas

  • Vista de los ajustes.
  • Ejemplo de mensaje de actualización pendiente.
  • Ejemplo de mensaje de actualizado.

Instalación

  1. Sube los archivos al directorio wp-content/plugins/automatic-safe-update o instala el plugin mediante el menú Plugins de tu WordPress directamente.
  2. Activa el plugin a través del menú «Plugins» de tu WordPress.
  3. Ve a los ajustes de Actualización automática segura desde el menú de administrador de WordPress para configurar el plugin.
  4. Configúralo a tu gusto y pulsa en guardar cambios.

Reseñas

No hay reseñas para este plugin.

Colaboradores y desarrolladores

«Automatic Safe Update» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

«Automatic Safe Update» ha sido traducido a 3 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce «Automatic Safe Update» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

1.1.4

16 de mayo de 2020
* Corregida la advertencia en la ejecución inicial mediante WP-CLI.
* Comprobada la compatibilidad con WordPress 5.4.

1.1.3

12 de enero de 2020
* Corrección para la activación y configuración del plugin en PHP 5.
* Confirmado el requisito de versión mínima de PHP 5.4.
* Corregidas algunas cadenas de correo.
* Correcciones para evitar procesar trabajos de actualización vacíos.

1.1.2

30 de noviembre de 2019
* Enlace a la página de plugins para actualizaciones manuales incluido en el correo.
* Resuelto defecto que impedía la compatibilidad con PHP 5.3.

1.1.1

20 de noviembre de 2019
* Si está definido, muestra el valor de WP_AUTO_UPDATE_CORE en la página de ajustes.
* Eliminada una copia errónea del directorio de desarrollo incluida que deshabilita el procedimiento de activación normal de la página de añadir plugin.

1.1.0

26 de octubre de 2019
* Corregidas advertencias en modo de depuración.
* Capacidad experimental (alfa) para actualizar temas y traducciones.
* Asegura la disponibilidad de las funciones de semáforo para los procesos de correo.
* Verificada la compatibilidad con WordPress 5.3.
* Verificada la compatibilidad con PHP 7.4.

1.0.2

28 de mayo de 2019
* Pequeño fallo de traducción en el correo electrónico.
* Fallo cuando el ajuste individual de un plugin se cuelga.

1.0.1

20 de mayo de 2019
* Fallos relacionados con la traducción.

1.0

19 de Mayo de 2019
* Versión inicial en WordPress.org.